"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const cors_1 = __importDefault(require("cors"));
require("express-async-errors");
const error_1 = require("./utils/error");
const express_rate_limit_1 = __importDefault(require("express-rate-limit"));
const ad_router_1 = require("./routes/ad.router");
const app = (0, express_1.default)();
app.use((0, cors_1.default)({
    origin: 'http://localhost:3000',
}));
app.use(express_1.default.json());
// app.get('/', async(req, res) => {
//     throw new ValidationError('Damn')
// })
app.use(error_1.handleError);
app.use((0, express_rate_limit_1.default)({
    windowMs: 1 * 60 * 1000,
    limit: 100,
    standardHeaders: 'draft-7',
    legacyHeaders: false, // Disable the `X-RateLimit-*` headers
    // store: ... , // Use an external store for more precise rate limiting
}));

app.use('/api', ad_router_1.AdRouter);

app.listen(3001, '0.0.0.0', () => {
    console.log("Server is listening on port 3001");
});
//# sourceMappingURL=index.js.map