"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const defaultObj = {
    name: 'Test Name',
    description: 'blah',
    url: 'https://megak.pl',
    price: 1,
    lat: 9,
    lon: 9,
};
test("Adrecord can insert data into database", () => __awaiter(void 0, void 0, void 0, function* () {
    // const ad = await AdRecord.getOne('new');
    // expect(ad).toBeFalsy();
    const id = yield ad_record_1.AdRecord.insert(defaultObj);
    const newAd = yield ad_record_1.AdRecord.getOne(id);
    expect(newAd.id).toBeDefined();
    console.log(newAd.id);
}));
test("AdRecord is capable of listing all ads", () => __awaiter(void 0, void 0, void 0, function* () {
    const list = yield ad_record_1.AdRecord.listAll();
    expect(list).toBeDefined();
    expect(list.length).toBeGreaterThan(1);
    console.log(list);
}));
test('AdRecord.findAll returns array of found entires when searching for "es".', () => __awaiter(void 0, void 0, void 0, function* () {
    const ads = yield ad_record_1.AdRecord.findAll('es');
    console.log(ads);
    expect(ads).not.toEqual([]);
    expect(ads[0].id).toBeDefined();
}));
test("AdReacord.findAll returns empty array when searching for something that does not exist.", () => __awaiter(void 0, void 0, void 0, function* () {
    const ads = yield ad_record_1.AdRecord.findAll('-------------------');
    expect(ads).toEqual([]);
}));
//# sourceMappingURL=ad.add_list.test.js.map