import express, { Request, Response } from 'express';
import cors from "cors";
import 'express-async-errors';
import { ValidationError, handleError } from './utils/error';
import rateLimit from 'express-rate-limit';
import { AdRouter } from './routes/ad.router';


const app = express();

app.use(cors ({
    origin: 'http://localhost:3000',    
}));
app.use(express.json());

// app.get('/', async(req, res) => {
//     throw new ValidationError('Damn')
// })

app.use(handleError);
app.use(rateLimit({
	windowMs: 1 * 60 * 1000, // 15 minutes
	limit: 100, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
	standardHeaders: 'draft-7', // draft-6: `RateLimit-*` headers; draft-7: combined `RateLimit` header
	legacyHeaders: false, // Disable the `X-RateLimit-*` headers
	// store: ... , // Use an external store for more precise rate limiting
}))

app.use('/', AdRouter)

app.listen(3001, '0.0.0.0', () => {
   console.log("Server is listening on port 3001");    
})