import { Request, Response, Router } from "express";
import { AdRecord } from "../records/ad.record";

export const AdRouter = Router()

    .get('/search/', async (req: Request, res: Response) => {

        const ads = await AdRecord.listAll()

        res.json(ads);
    })

    .get('/search/:name', async (req: Request, res: Response) => {

        const ads = await AdRecord.findAll(req.params.name)

        res.json(ads);
    })
    .get('/:id', async (req: Request, res:Response) => {
        const ad = await AdRecord.getOne(req.params.id)

        res.json(ad);
    })
    .post('/', async (req: Request, res: Response) => {
        const ad = await AdRecord.insert(req.body);
        res.json(ad)
    })