import { AdRecord } from "../records/ad.record";
import { AdEntity, NewAdEntity } from "../types";

const defaultObj: NewAdEntity = {
    name: 'Test Name',
    description: 'blah',
    url: 'https://megak.pl',
    price: 1,
    lat: 9,
    lon: 9,
};


test("Adrecord can insert data into database", async() => {

    // const ad = await AdRecord.getOne('new');
    // expect(ad).toBeFalsy();

    const id = await AdRecord.insert(defaultObj);
    const newAd = await AdRecord.getOne(id);
    expect(newAd.id).toBeDefined();
    console.log(newAd.id);
    

});

test("AdRecord is capable of listing all ads", async() => {
    const list = await AdRecord.listAll();
    expect(list).toBeDefined();
    expect(list.length).toBeGreaterThan(1);
    console.log(list);
    
})

test('AdRecord.findAll returns array of found entires when searching for "es".', async () => {
    const ads = await AdRecord.findAll('es');
    console.log(ads);
    
    expect(ads).not.toEqual([]);
    expect(ads[0].id).toBeDefined();
});

test("AdReacord.findAll returns empty array when searching for something that does not exist.", async() => {

const ads = await AdRecord.findAll('-------------------')

expect(ads).toEqual([]);

});